// MovieInfo.h

/*****************************************************************************
 *
 *  OggMux
 *  - Front-end for Tobias Waldvogel's OGG directshow filters -
 *
 *  This program implements a GUI for those filters to multiplex different
 *  stream types (audio, video, subtitles, chapterinformation,...) into
 *  the OGG container format.
 *
 *  This program is free software ; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation ; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY ; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program ; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 ****************************************************************************/

/*****************************************************************************
 *  History:
 *
 *  v 0.9.4: Added copyright headers to the sources (Koepi)
 *
 *  All code is (c)2002 by Dirk Knop, no further code has made it into
 *  OggMux yet.
 *
 ****************************************************************************/

#if !defined(AFX_MOVIEINFO_H__8B7FC60D_6942_41E8_B028_5ED6F598AE3C__INCLUDED_)
#define AFX_MOVIEINFO_H__8B7FC60D_6942_41E8_B028_5ED6F598AE3C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MovieInfo.h : Header-Datei
//

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld MovieInfo 

class MovieInfo : public CDialog
{
// Konstruktion
public:
	MovieInfo(CWnd* pParent = NULL);   // Standardkonstruktor

// Dialogfelddaten
	//{{AFX_DATA(MovieInfo)
	enum { IDD = IDD_MOVIEINFO };
	CString	m_author;
	CString	m_copyright;
	CString	m_description;
	CString	m_title;
	//}}AFX_DATA


// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(MovieInfo)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:

	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(MovieInfo)
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_MOVIEINFO_H__8B7FC60D_6942_41E8_B028_5ED6F598AE3C__INCLUDED_
