// OggMux.cpp : defines the behavior of the classes for this application.

/*****************************************************************************
 *
 *  OggMux
 *  - Front-end for Tobias Waldvogel's OGG directshow filters -
 *
 *  This program implements a GUI for those filters to multiplex different
 *  stream types (audio, video, subtitles, chapterinformation,...) into
 *  the OGG container format.
 *
 *  This program is free software ; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation ; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY ; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program ; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 ****************************************************************************/

/*****************************************************************************
 *  History:
 *
 *  v 0.9.4: Added copyright headers to the sources (Koepi)
 *
 *  All code is (c)2002 by Dirk Knop, no further code has made it into
 *  OggMux yet.
 *
 ****************************************************************************/

#include "stdafx.h"
#include "OggMux.h"
#include "OggMuxDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COggMuxApp

BEGIN_MESSAGE_MAP(COggMuxApp, CWinApp)
	//{{AFX_MSG_MAP(COggMuxApp)
		// HINWEIS - Hier werden Mapping-Makros vom Klassen-Assistenten eingefgt und entfernt.
		//    Innerhalb dieser generierten Quelltextabschnitte NICHTS VERNDERN!
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COggMuxApp Konstruktion

COggMuxApp::COggMuxApp()
{
	// TO DO: insert Code for construction
	// All important initialisations should take place in InitInstance
}

/////////////////////////////////////////////////////////////////////////////
// The single COggMuxApp-Object

COggMuxApp theApp;

/////////////////////////////////////////////////////////////////////////////
// COggMuxApp Initialisations

BOOL COggMuxApp::InitInstance()
{
	AfxEnableControlContainer();

#ifdef _AFXDLL
	Enable3dControls();			// Diese Funktion bei Verwendung von MFC in gemeinsam genutzten DLLs aufrufen
#else
	Enable3dControlsStatic();	// Diese Funktion bei statischen MFC-Anbindungen aufrufen
#endif

	COggMuxDlg dlg;
	m_pMainWnd = &dlg;
	int nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
		// TO DO: insert Code here to control the application shutdown
		//  via dialogfield's OK
	}
	else if (nResponse == IDCANCEL)
	{
		// TO DO: insert Code here to control the application shutdown
		//  via dialogfield's cancel
	}

	return FALSE;
}
